=== debian/changelog ===
ros-melodic-xmlrpcpp (1.14.10-1stretch) stretch; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Trap for overly large input to XmlRPCPP (#2065 <https://github.com/ros/ros_comm/issues/2065>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * XmlRpcValue::_doubleFormat should be used during write (#2003 <https://github.com/ros/ros_comm/issues/2003>)
  * Contributors: Jacob Perron, Shane Loretz, Sid Faber, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.9-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Aug 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.8-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Aug 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.7-1stretch) stretch; urgency=high

  * add const versions of XmlRpcValue converting operators (#1978 <https://github.com/ros/ros_comm/issues/1978>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 31 Jul 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.6-1stretch) stretch; urgency=high

  * check if enough FDs are free, instead counting the total free FDs (#1929 <https://github.com/ros/ros_comm/issues/1929>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 May 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.5-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.4-1stretch) stretch; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * [Windows] workaround WSAPoll doesn't report failed connections (#1816 <https://github.com/ros/ros_comm/issues/1816>)
  * fix base64 decode error on ARM platforms (#1853 <https://github.com/ros/ros_comm/issues/1853>)
  * use c++11 std::snprintf (#1820 <https://github.com/ros/ros_comm/issues/1820>)
  * fix dead loop if accept connection error in XmlRpcServer (#1791 <https://github.com/ros/ros_comm/issues/1791>)
  * fix test build errors (#1723 <https://github.com/ros/ros_comm/issues/1723>)
  * fix base64 encode error (#1769 <https://github.com/ros/ros_comm/issues/1769>)
  * XmlRpcValue added bool assignment operator (#1709 <https://github.com/ros/ros_comm/issues/1709>)
  * add const indexer for xmlrpc (#1759 <https://github.com/ros/ros_comm/issues/1759>)
  * xmlrpcpp: fixed invalid zero index (#1631 <https://github.com/ros/ros_comm/issues/1631>)
  * avoid calling memcpy on NULL pointer with size 0 (#1546 <https://github.com/ros/ros_comm/issues/1546>)
  * revert "Revert "move the winsock2.h into cpp."" (#1588 <https://github.com/ros/ros_comm/issues/1588>)
  * visibility macros update (#1591 <https://github.com/ros/ros_comm/issues/1591>)
  * remove explicit -std=c++11, default to 14
  * fix test code build issues on Windows (#1479 <https://github.com/ros/ros_comm/issues/1479>)
  * fix issues when built or run on Windows (#1466 <https://github.com/ros/ros_comm/issues/1466>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 08:00:00 -0000

ros-melodic-xmlrpcpp (1.14.3-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.2-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.1-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-xmlrpcpp (1.14.0-1stretch) stretch; urgency=high

  * fixes for OSX (#1402 <https://github.com/ros/ros_comm/issues/1402>)
  * take XmlRpcValue by *const* ref. in operator<< (#1350 <https://github.com/ros/ros_comm/issues/1350>)
  * fix various compiler warnings on bionic (#1325 <https://github.com/ros/ros_comm/issues/1325>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-xmlrpcpp (1.13.6-1stretch) stretch; urgency=high

  * fix xmlrpc timeout using monotonic clock (#1249 <https://github.com/ros/ros_comm/issues/1249>)
  * add tests and bug fixes for XmlRpcServer (#1243 <https://github.com/ros/ros_comm/issues/1243>)
  * add test and fix uninitialized data in XmlRpcClient (#1244 <https://github.com/ros/ros_comm/issues/1244>)
  * make xmlrpcpp specific include directory work in devel space (#1261 <https://github.com/ros/ros_comm/issues/1261>)
  * add base64 tests (#1242 <https://github.com/ros/ros_comm/issues/1242>)
  * add unit tests for XmlRpcDispatch (#1232 <https://github.com/ros/ros_comm/issues/1232>)
  * add unit tests and bug fixes for XmlRpcClient (#1221 <https://github.com/ros/ros_comm/issues/1221>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-melodic-xmlrpcpp (1.13.5-1stretch) stretch; urgency=high

  * add unit tests and bug fixes for XmlRpcSocket (#1218 <https://github.com/ros/ros_comm/issues/1218>)
  * add tests for XmlRpcValue and XML conversion (#1216 <https://github.com/ros/ros_comm/issues/1216>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 08:00:00 -0000

ros-melodic-xmlrpcpp (1.13.4-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 07:00:00 -0000

ros-melodic-xmlrpcpp (1.13.3-1stretch) stretch; urgency=high

  * fix problem when configuring tests without gtest being available (#1197 <https://github.com/ros/ros_comm/issues/1197>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-melodic-xmlrpcpp (1.13.2-1stretch) stretch; urgency=high

  * use poll() in favor of select() in the XmlRPCDispatcher (#833 <https://github.com/ros/ros_comm/issues/833>)
  * fix fall through warnings with g++ 7 (#1139 <https://github.com/ros/ros_comm/issues/1139>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 07:00:00 -0000

ros-melodic-xmlrpcpp (1.13.1-1stretch) stretch; urgency=high


